%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define	python_module_name	%{name}

Name:		labyrinth
Version:	0.4.0
Release:	%mkrel 3
Summary:	A simple yet powerful mind-mapping tool for the GNOME desktop
Group:		Office
License:	GPL
URL:		http://www.gnome.org/~dscorgie/labyrinth.html
Source0:	http://www.gnome.org/~dscorgie/files/%{name}-%{version}.tar.xz
Patch0:		%{name}-fix-interpreters.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildRequires: python-devel desktop-file-utils python-cairo cairo-devel automake autoconf
BuildRequires:	pygtk2.0-devel >= 2.8
BuildRequires:	python-gobject >= 2.10
BuildRequires:	gettext
BuildRequires:	perl(XML::Parser)
BuildRequires:	gnome-python-devel >= 2.12
BuildRequires:	libgnome-desktop-2-devel
BuildRequires:	desktop-file-utils
Requires:	pygtk2.0-libglade >= 2.8
Requires:	PyXML
Requires: 	python >= 2.6
Requires:	gnome-python-gconf
Requires:	gnome-python

%description
Labyrinth is a lightweight mind-mapping tool, written in Python using Gtk and
Cairo to do the drawing. It is intended to be as light and intuitive as
possible, but still provide a wide range of powerful features.

A mind-map is a diagram used to represent words, ideas, tasks or other items
linked to and arranged radially around a central key word or idea. It is used
to generate, visualize, structure and classify ideas, and as an aid in study,
organization, problem solving, and decision making.


%prep
%setup -q
#%patch0 -p1
%configure2_5x


%build
make %{?_smp_flags} 


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} 
%find_lang %{name} 
desktop-file-install --vendor "" \
	--dir %{buildroot}%{_datadir}/applications \
	--delete-original \
	--remove-category=Application \
	--add-category=X-MandrivaLinux-Office-Accessories \
	%{buildroot}/%{_datadir}/applications/%{name}.desktop
chmod +x %{buildroot}/%{python_sitelib}/%{python_module_name}/TextThought.py
chmod +x %{buildroot}/%{python_sitelib}/%{python_module_name}/Links.py
chmod +x %{buildroot}/%{python_sitelib}/%{python_module_name}/MMapArea.py
chmod +x %{buildroot}/%{python_sitelib}/%{python_module_name}/MainWindow.py


%post
touch --no-create %{_datadir}/icons/hicolor ||:
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:


%postun
touch --no-create %{_datadir}/icons/hicolor ||:
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{python_sitelib}/%{python_module_name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/applications/%{name}.desktop


%changelog
* Sun Dec 05 2010 Texstar <texstar at gmail.com> 0.4-3pclos2010
- add dependency gnome-python-gconf gnome-python

* Sat Sep 11 2010 Texstar <texstar at gmail.com> 0.4-2pclos2010
- Update

* Sun May 24 2009 Texstar <texstar@gmail.com> 0.4-1pclos2009
- 0.4
- fix rpm group


